Package org.linphone.core

# Enum Class Core.LogCollectionUploadState

java.lang.Object
java.lang.Enum<Core.LogCollectionUploadState>
org.linphone.core.Core.LogCollectionUploadState

All Implemented Interfaces:
  `Serializable`, `Comparable<Core.LogCollectionUploadState>`, `Constable`

Enclosing interface:
  Core

public static enum Core.LogCollectionUploadState extends Enum<Core.LogCollectionUploadState>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Delivered`
Log collection upload successfully delivered and acknowledged by remote end
point.
`InProgress`
Delivery in progress.
`NotDelivered`
Log collection upload was not delivered.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static Core.LogCollectionUploadState`
`fromInt(int value)`
`int`
`toInt()`
`static Core.LogCollectionUploadState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Core.LogCollectionUploadState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### InProgress

public static final Core.LogCollectionUploadState InProgress
Delivery in progress.

### Delivered

public static final Core.LogCollectionUploadState Delivered
Log collection upload successfully delivered and acknowledged by remote end
point.

### NotDelivered

public static final Core.LogCollectionUploadState NotDelivered
Log collection upload was not delivered.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static Core.LogCollectionUploadState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Core.LogCollectionUploadState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static Core.LogCollectionUploadState fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()